description: span class="label">No description available</span
link: org/2545
meta:
  added_date: 2020-07-18T12:18
  edited_date: 2020-07-18T12:18
  fetched_date: 2026-01-12T07:26
  ttl: 86400
  visitors: 1350
name: Twentieth Century Fox Film Corporation
picture_full: https://media.vgm.io/orgs/54/2545/2545-1595060354.png
picture_small: https://thumb-media.vgm.io/orgs/54/2545/2545-1595060354.png
region: United States
releases: []
staff: []
type: Media / Entertainment Company
vgmdb_link: https://vgmdb.net/org/2545?perpage=99999
websites: {}
